/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* ========================================
   Root Variables
   ======================================== */
:root {
  /* Fonts */
  --font-primary: "Montserrat", sans-serif;
  --font-script: "above-the-beyond", sans-serif;
	
  /* Color Palette */
  --brand-black: #000;
  --brand-white: #fff;
  --brand-lighter-gray: #f5f5f5;
  --brand-light-gray: #ebebeb;
  --brand-medium-gray: #1b1b1b;
  --brand-dark-gray: #cfd0d2;
	
  /* Primary Button */
  --btn-primary-bg: var(--brand-black);
  --btn-primary-hover-bg: var(--brand-medium-gray);
  --btn-primary-hover-text: var(--brand-white);

  /* Secondary Button */
  --btn-secondary-text: var(--brand-black);
  --btn-secondary-bg: var(--brand-white);
  --btn-secondary-hover-text: var(--brand-white);
  --btn-secondary-hover-bg: var(--brand-black);
  --btn-secondary-border: var(--brand-black);
  --btn-secondary-border-hover: var(--brand-black);

  /* Tertiary Button */
  --btn-tertiary-text: var(--brand-medium-gray);
  --btn-tertiary-bg: var(--brand-light-gray);
  --btn-tertiary-hover-text: var(--brand-light-gray);
  --btn-tertiary-hover-bg: var(--brand-medium-gray);

  /* Link Button */
  --btn-link-text: var(--brand-black);
  --btn-link-border: var(--brand-black);
  --btn-link-icon: var(--brand-black);
  --btn-link-hover-text: var(--brand-dark-gray);
  --btn-link-hover-border: var(--brand-dark-gray);
  --btn-link-hover-icon: var(--brand-dark-gray);

  /* Main Navigation */
  --nav-subarrow-fill: var(--brand-black);
  --nav-subarrow-hover-fill: var(--brand-black);

  /* Footer */
  --footer-subfooter-link: var(--brand-dark-gray);
  --footer-subfooter-link-hover: var(--brand-white);
  --footer-link: var(--brand-white);
  --footer-link-hover: var(--brand-white);

  /* Utility Header */
  --utility-header-link: var(--brand-white);
  --utility-header-link-hover: var(--brand-white);

  /* Back to Top */
  --backtotop-bg: var(--brand-black);
  --backtotop-hover-bg: var(--brand-light-gray);
  --backtotop-icon-fill: var(--brand-white);
  --backtotop-icon-hover-fill: var(--brand-black);
	
  /* Woocommerce */	
  --woocommerce-in-stock-text-color: var(--brand-black);
  --woocommerce-notices-bg: var(--brand-lighter-gray);
  --woocommerce-notices-button-dark: var(--brand-black);
  --woocommerce-notices-button-light: var(--brand-white);
  --woocommerce-checkout-button-dark: var(--brand-black);
  --woocommerce-checkout-button-light: var(--brand-white);
  --woocommerce-product-remove-hover: var(--brand-medium-gray);
  --woocommerce-add-to-cart-text: var(--brand-black);
  --woocommerce-add-to-cart-text-hover: var(--brand-medium-gray);
}

/* Global */
/* .subhead {
    padding-bottom: 1rem !important;
} */

.h1-heading,
.h2-heading,
.h3-heading,
.h4-heading,
.h5-heading,
.h6-heading {
	padding-top: 1rem !important;
   /* padding-bottom: 1rem !important; */
}

.header-accent {
    font-weight: 700 !important;
}

.header-accent-script {
	font-family: var(--font-script) !important;
	font-weight: 400 !important;
	font-style: normal !important;
}

.header-accent-script-h1 {
	font-size: 49px !important;
}

.header-accent-script-h2 {
	font-size: 37px !important;
}

.header-accent-script-h3 {
	font-size: 29px !important;
}

.ul1 {
	margin-bottom: 1rem;
}

/* Hero: Indent headline */
@media (min-width: 1270px) {
	.indent-and {
        display: inline-block;
        margin-left: 80px;
    }
    .header-break {
 			display: none;
    }
}

.secondary {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.accent {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.page-header {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}

.page-header h1 {}

/* Optional: Apply to remove underline on link(s) */
.link-no-underline {
	text-decoration: none !important;
}

/* Fix: This overrides the "Link Hover" setting under Settings > Typography.
   The behavior caused issues with social icon effects. */

a:hover {
	text-decoration: none !important;
}

/* Elementor Editor Fix: Text box bottom gap */
.elementor-widget-text-editor p:last-child {
    margin-bottom: 0px;
}

/* Custom Buttons: Implemented to override issues with buggy global styles */
.elementor-button {
    background-color: var(--btn-primary-bg) !important;
    font-weight: 500 !important;
    font-style: normal !important;
    text-decoration: none !important;
    text-transform: capitalize !important;
    font-size: 14px !important;
}

.elementor-button:hover {
    background-color: var(--btn-primary-hover-bg) !important;
    color: var(--btn-primary-hover-text) !important;
    text-decoration: none !important;
}

.elementor-button-icon {
	font-size: 16px;
}

.btn-secondary a {
    color: var(--btn-secondary-text) !important;
    background-color: var(--btn-secondary-bg) !important;
	border: 2px solid var(--btn-secondary-border) !important;
}

.btn-secondary a:hover {
    color: var(--btn-secondary-hover-text) !important;
    background-color: var(--btn-secondary-hover-bg) !important;
	border: 2px solid var(--btn-secondary-border) !important;
}

.btn-tertiary a {
    color: var(--btn-tertiary-text) !important;
    background-color: var(--btn-tertiary-bg) !important;
}

.btn-tertiary a:hover {
    color: var(--btn-tertiary-hover-text) !important;
    background-color: var(--btn-tertiary-hover-bg) !important;
}

.btn-link .elementor-button-content-wrapper {
    border-bottom: 0px solid var(--btn-link-border) !important;
}

.btn-link .elementor-button-icon {
    fill: var(--btn-link-icon) !important;
}

.btn-link a {
    color: var(--btn-link-text) !important;
    background-color: transparent !important;
    text-transform: capitalize !important;
    padding: 0 !important;
	font-weight: 600 !important;
}

.btn-link a:hover {
    color: var(--btn-link-hover-text) !important;
    background-color: transparent !important;
}

.btn-link a:hover .elementor-button-icon {
    fill: var(--btn-link-hover-icon) !important;
}

.btn-link a:hover .elementor-button-content-wrapper {
    border-bottom: 0px solid var(--btn-link-hover-border) !important;
}
/* Main Navigation */
.sub-arrow svg {
    fill: var(--nav-subarrow-fill);
}

.menu-item:hover .sub-arrow svg {
    fill: var(--nav-subarrow-hover-fill);
}

@media screen and (min-width: 1024px) {
    .sub-arrow svg {
        fill: var(--nav-subarrow-fill);
    }
	
	.menu-item:hover .sub-arrow svg {
    	fill: var(--nav-subarrow-hover-fill);
	}
}

/* 
 * Bold Menu Items:
 * Hover + Active
*/
/* Main menu items */
.elementor-nav-menu--main .elementor-item:hover,
.elementor-nav-menu--main .elementor-item.elementor-item-active,
.elementor-nav-menu--main .current-menu-item > a,
.elementor-nav-menu--main .current_page_item > a {
    font-weight: 700 !important;
}

/* Dropdown (submenu) items */
.elementor-nav-menu--dropdown .elementor-sub-item:hover,
.elementor-nav-menu--dropdown .current-menu-item > a,
.elementor-nav-menu--dropdown .current_page_item > a {
    font-weight: 700 !important;
}

/* Footer */
.subfooter a {
    font-size: 12px;
	font-weight: 500 !important;
    color: var(--footer-subfooter-link);
}

.subfooter a:hover {
    color: var(--footer-subfooter-link-hover);
}

/* Footer Link Overrides */
.footer-link a {
    color: var(--footer-link) !important;
}

.footer-link a:hover {
    color: var(--footer-link-hover) !important;
}

/* Remove icons on mobile navigation */
@media (max-width: 767px) {
    .main-footer .elementor-icon-list-item .elementor-icon-list-icon {
        display: none;
    }
}

/* Utility Header Link Overrides */
.utility-header-link a {
    color: var(--utility-header-link) !important;
}

.utility-header-link a:hover {
    color: var(--utility-header-link-hover) !important;
}

/* Back to Top */
#back-to-top {
	position: fixed;
	bottom: 30px;
	right: 30px;
	width: 50px;
	height: 50px;
	background-color: var(--backtotop-bg);
	border-radius: 50%;
	display: none;
	justify-content: center;
	align-items: center;
	z-index: 1000;
	text-decoration: none;
	transition: background-color 0.3s;
	font-size: 24px;
}

#back-to-top svg {
	width: 24px;
	height: 24px;
	fill: var(--backtotop-icon-fill);
}

#back-to-top:hover svg {
	width: 24px;
	height: 24px;
	fill: var(--backtotop-icon-hover-fill);
}

#back-to-top:hover {
	background-color: var(--backtotop-hover-bg);
}

/* Icon Emphasis: Reusable bounce animation for any icon */
.icon-bounce {
  display: inline-block;
  animation: floatY 2s ease-in-out infinite;
}

@keyframes floatY {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}

/**
 * WooCommerce
 * ------------------------------
 * Page Overrides and Enhancements
 */

/* Product Page */
.stock, .in-stock {
	color: var(--woocommerce-in-stock-text-color) !important;
}

/* Notices: Success and Error */
.e-woocommerce-notices-wrapper .woocommerce-message {
  background-color: var(--woocommerce-notices-bg) !important;
}

.e-woocommerce-notices-wrapper .woocommerce-error {
  background-color: var(--woocommerce-notices-bg) !important;
}

.wc-empty-cart-message .woocommerce-info {
  background-color: var(--woocommerce-notices-bg) !important;
}

.e-woocommerce-notices-wrapper .woocommerce-error li {
  background: none !important;
  margin: 0 !important;
  padding: 0 !important;
}

.e-woocommerce-notices-wrapper .woocommerce-message .button,
.e-woocommerce-notices-wrapper .woocommerce-error .button,
.return-to-shop .button {
  background-color: var(--woocommerce-notices-button-dark) !important;
  color: var(--woocommerce-notices-button-light) !important;
  border-radius: 0 !important;
  border: 2px solid var(--woocommerce-notices-button-dark) !important;
  padding: 0.75rem 1.25rem !important;
  text-transform: none !important;
}

.e-woocommerce-notices-wrapper .woocommerce-message .button:hover,
.e-woocommerce-notices-wrapper .woocommerce-error .button:hover,
.return-to-shop .button:hover  {
  background-color: transparent !important;
	border: 2px solid var(--woocommerce-notices-button-dark) !important;
	color: var(--woocommerce-notices-button-dark) !important;
}

.added_to_cart {
	font-family: var(--font-primary) !important;
	color: var(--woocommerce-add-to-cart-text) !important;
}

.added_to_cart:hover {
	font-family: var(--font-primary) !important;
	color: var(--woocommerce-add-to-cart-text-hover) !important;
}

/* Add to Cart Page  */
.woocommerce-loop-product__buttons {
  text-align: center;
}
.woocommerce-loop-product__buttons a:last-child {
  display: block;
}

/* Cart Page */
.product-remove a:hover{
	color: var(--woocommerce-product-remove-hover) !important;
}

/*  Checkout Page */
.wc-block-components-checkout-place-order-button.contained {
  background: var(--woocommerce-checkout-button-dark) !important;
  color: var(--woocommerce-checkout-button-light) !important;
  border: 2px solid var(--woocommerce-checkout-button-dark) !important;
  padding: 14px 28px !important;
  cursor: pointer;
  transition: background 0.25s ease;
}

.wc-block-components-checkout-place-order-button.contained:hover {
  background: transparent !important;
	color: var(--woocommerce-checkout-button-dark) !important;
	border: 2px solid var(--woocommerce-checkout-button-dark) !important;
}

.wc-block-components-product-badge  {
	display: inline-block !important;
	margin: 10px 0 !important;
}

.wc-block-components-product-name {
	margin-bottom: 10px !important;
}

.wc-block-components-button {
	background-color: var(--brand-black) !important;
	border: 0 !important;
}

.wc-block-components-button {
 color: var(--brand-white) !important;
}

/* Woo Account */
.woocommerce-info {
	border-top-color: var(--brand-black);
}

.woocommerce-info::before {
	color: var(--brand-black);
}

.woocommerce-info {
	background-color: var(--brand-light-gray);
}

.button {
	background-color: var(--btn-primary-bg) !important;
	font-weight: 500 !important;
	font-style: normal !important;
	text-decoration: none !important;
	text-transform: capitalize !important;
	font-size: 14px !important;
	color: var(--brand-white) !important;
	border-radius: 0 !important;
	border: 2px solid var(--brand-black) !important;
}


.button:hover {
	background-color: transparent !important;
	border: 2px solid var(--brand-black) !important;
	color: var(--brand-black) !important;
}

/* Form zoom fix on mobile */
input[type="color"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="file"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="range"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
input[type="checkbox"],
input[type="radio"],
input[type="image"],
input[type="button"],
input[type="submit"],
select:focus,
select,
textarea,
label,
button {
    font-size: 16px !important;
}